;
; Constants used in the Protected EEPROM package
;
op_successful		equ		0
op_protect_fail		equ		1
op_invalid_page		equ		2
op_write_seq		equ		3
op_data_corrupt		equ		4
op_uninitialized	equ		5
op_int_write		equ		6
op_int_commit		equ		7
op_uncommit_write	equ		8
;
; Values for write buffer status words
;
; The idea here is to select values that won't be easily spoofed by partially
; erased EEPROM locations. Since it's unclear what this will be for any given
; device, choose values with an equal number of 1's and 0's.
;
val_expired		equ		0E2h
val_occupied	equ		095h
val_available	equ		04Dh
;
; EEPROM commands
;
EEPROM_READ_CMD   equ 0A1h
EEPROM_WRITE_CMD  equ 0A0h
;
; Port defines for I2C interface
;
#define	scl	M0[3].5
#define	sda_out	M0[3].4
#define	sda_in	M0[11].4
#define sda_dir	M0[19].4
